<!--

function Delegate(){}
Delegate.create=function(o,f){
var FTwWk=new Array();
var lDTAI=arguments.length;
for(var i=2;i<lDTAI;i++) FTwWk[i-2]=arguments[i];
return function(){
var LLLlj=[].concat(arguments,FTwWk);
f.apply(o,LLLlj);
}
}
Tween=function(obj,prop,func,begin,finish,duration,suffixe){
this.init(obj,prop,func,begin,finish,duration,suffixe)
}
var t=Tween.prototype;
t.obj=new Object();
t.prop='';
t.func=function(t,b,c,d){return c*t/d+b;};
t.begin=0;
t.change=0;
t.prevTime=0;
t.prevPos=0;
t.looping=false;
t.QLsVK=0;
t.fBeKP=0;
t.etSoj=0;
t.RNwJa=0;
t.CSCik=0;
t.sENlS=0;
t.aVqTk=false;
t.name='';
t.suffixe='';
t.JcEbI=new Array();
t.setTime=function(t){
this.prevTime=this.fBeKP;
if(t>this.getDuration()){
if(this.looping){
this.rewind(t-this.QLsVK);
this.update();
this.bQtSg('onMotionLooped',{target:this,type:'onMotionLooped'});
}else{
this.fBeKP=this.QLsVK;
this.update();
this.stop();
this.bQtSg('onMotionFinished',{target:this,type:'onMotionFinished'});
}
}else if(t<0){
this.rewind();
this.update();
}else{
this.fBeKP=t;
this.update();
}
}
t.isRunning=function(){
return this.aVqTk;
}
t.getTime=function(){
return this.fBeKP;
}
t.setDuration=function(d){
this.QLsVK=(d==null||d<=0)?100000:d;
}
t.getDuration=function(){
return this.QLsVK;
}
t.setPosition=function(p){
this.prevPos=this.etSoj;
var a=this.suffixe!=''?this.suffixe:'';
this.obj[this.prop]=Math.round(p)+a;
this.etSoj=p;
this.bQtSg('onMotionChanged',{target:this,type:'onMotionChanged'});
}
t.getPosition=function(t){
if(t==undefined) t=this.fBeKP;
return this.func(t,this.begin,this.change,this.QLsVK);
};
t.setFinish=function(f){
this.change=f-this.begin;
};
t.geFinish=function(){
return this.begin+this.change;
};
t.init=function(obj,prop,func,begin,finish,duration,suffixe){
if(!arguments.length) return;
this.JcEbI=new Array();
this.addListener(this);
if(suffixe) this.suffixe=suffixe;
this.obj=obj;
this.prop=prop;
this.begin=begin;
this.etSoj=begin;
this.setDuration(duration);
if(func!=null&&func!=''){
this.func=func;
}
this.setFinish(finish);
}
t.start=function(){
this.rewind();
this.startEnterFrame();
this.bQtSg('onMotionStarted',{target:this,type:'onMotionStarted'});
}
t.rewind=function(t){
this.stop();
this.fBeKP=(t==undefined)?0:t;
this.fixTime();
this.update();
}
t.fforward=function(){
this.fBeKP=this.QLsVK;
this.fixTime();
this.update();
}
t.update=function(){
this.setPosition(this.getPosition(this.fBeKP));
}
t.startEnterFrame=function(){
this.stopEnterFrame();
this.aVqTk=true;
this.onEnterFrame();
}
t.onEnterFrame=function(){
if(this.aVqTk){
this.nextFrame();
wa_timeout(Delegate.create(this,this.onEnterFrame),0);
}
}
t.nextFrame=function(){
this.setTime((this.getTimer()-this.CSCik)/1000);
}
t.stop=function(){
this.stopEnterFrame();
this.bQtSg('onMotionStopped',{target:this,type:'onMotionStopped'});
}
t.stopEnterFrame=function(){
this.aVqTk=false;
}
t.continueTo=function(finish,duration){
this.begin=this.etSoj;
this.setFinish(finish);
if(this.QLsVK!=undefined)
this.setDuration(duration);
this.start();
}
t.resume=function(){
this.fixTime();
this.startEnterFrame();
this.bQtSg('onMotionResumed',{target:this,type:'onMotionResumed'});
}
t.yoyo=function(){
this.continueTo(this.begin,this.fBeKP);
}
t.addListener=function(o){
this.removeListener(o);
return this.JcEbI.push(o);
}
t.removeListener=function(o){
var a=this.JcEbI;
var i=a.length;
while(i--){
if(a[i]==o){
a.splice(i,1);
return true;
}
}
return false;
}
t.bQtSg=function(){
var arr=new Array();
for(var i=0;i<arguments.length;i++){
arr.push(arguments[i])
}
var e=arr.shift();
var a=this.JcEbI;
var l=a.length;
for(var i=0;i<l;i++){
if(a[i][e])
a[i][e].apply(a[i],arr);
}
}
t.fixTime=function(){
this.CSCik=this.getTimer()-this.fBeKP*1000;
}
t.getTimer=function(){
return new Date().getTime()-this.fBeKP;
}
Tween.backEaseIn=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*(t/=d)*t*((s+1)*t-s)+b;
}
Tween.backEaseOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*((t=t/d-1)*t*((s+1)*t+s)+1)+b;
}
Tween.backEaseInOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
if((t/=d/2)<1) return c/2*(t*t*(((s*=(1.525))+1)*t-s))+b;
return c/2*((t-=2)*t*(((s*=(1.525))+1)*t+s)+2)+b;
}
Tween.elasticEaseIn=function(t,b,c,d,a,p){
if(t==0) return b;
if((t/=d)==1) return b+c;
if(!p) p=d*.3;
if(!a||a<Math.abs(c)){
a=c;var s=p/4;
}
else
var s=p/(2*Math.PI)*Math.asin(c/a);
return-(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
}
Tween.elasticEaseOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d)==1) return b+c;if(!p) p=d*.3;
if(!a||a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
return(a*Math.pow(2,-10*t)*Math.sin((t*d-s)*(2*Math.PI)/p)+c+b);
}
Tween.elasticEaseInOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d/2)==2) return b+c;if(!p) var p=d*(.3*1.5);
if(!a||a<Math.abs(c)){var a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
if(t<1) return-.5*(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
return a*Math.pow(2,-10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p)*.5+c+b;
}
Tween.bounceEaseOut=function(t,b,c,d){
if((t/=d)<(1/2.75)){
return c*(7.5625*t*t)+b;
}else if(t<(2/2.75)){
return c*(7.5625*(t-=(1.5/2.75))*t+.75)+b;
}else if(t<(2.5/2.75)){
return c*(7.5625*(t-=(2.25/2.75))*t+.9375)+b;
}else{
return c*(7.5625*(t-=(2.625/2.75))*t+.984375)+b;
}
}
Tween.bounceEaseIn=function(t,b,c,d){
return c-Tween.bounceEaseOut(d-t,0,c,d)+b;
}
Tween.bounceEaseInOut=function(t,b,c,d){
if(t<d/2) return Tween.bounceEaseIn(t*2,0,c,d)*.5+b;
else return Tween.bounceEaseOut(t*2-d,0,c,d)*.5+c*.5+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.regularEaseIn=function(t,b,c,d){
return c*(t/=d)*t+b;
}
Tween.regularEaseOut=function(t,b,c,d){
return-c*(t/=d)*(t-2)+b;
}
Tween.regularEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t+b;
return-c/2*((--t)*(t-2)-1)+b;
}
Tween.strongEaseIn=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.strongEaseOut=function(t,b,c,d){
return c*((t=t/d-1)*t*t*t*t+1)+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t*t*t*t+b;
return c/2*((t-=2)*t*t*t*t+2)+b;
}
OpacityTween.prototype=new Tween();
OpacityTween.prototype.constructor=Tween;
OpacityTween.superclass=Tween.prototype;
function OpacityTween(obj,func,lCrLn,Dssgv,QLsVK){
this.targetObject=obj;
this.init(new Object(),'a',func,lCrLn,Dssgv,QLsVK);
this.onMotionChanged=function(evt){
var v=evt.target.etSoj;
var t=this.targetObject;
v=Math.round(v*100)/100
t.style['opacity']=v/100;
t.style['-moz-opacity']=v/100;
html_SetOpacity(t,v/100);
}
}
function html_canvas(OiSqc,qwuoi,WPjrs)
{
return "<canvas id='"+OiSqc+"' width='"+qwuoi+"' height='"+WPjrs+"'></canvas>"
}
function WA_canvas(OiSqc,qwuoi,WPjrs)
{
document.write(html_canvas(OiSqc,qwuoi,WPjrs))
}
function UiBtr(dpZwV,x0,y0,lx0,ly0)
{
var x=x0+lx0/2;var y=y0+ly0/2;var lx=lx0/2;var ly=ly0/2;var radius=lx0/2;var yRadius=ly0/2;
dpZwV.beginPath();
var theta,xrCtrl,yrCtrl,angleMid,px,py,cx,cy;
theta=Math.PI/4;xrCtrl=radius/Math.cos(theta/2);yrCtrl=yRadius/Math.cos(theta/2);var angle=0;
dpZwV.moveTo(x+radius,y);
for(var i=0;i<8;i++){
angle+=theta;angleMid=angle-(theta/2);cx=x+Math.cos(angleMid)*xrCtrl;cy=y+Math.sin(angleMid)*yrCtrl;px=x+Math.cos(angle)*radius;py=y+Math.sin(angle)*yRadius;
dpZwV.quadraticCurveTo(cx,cy,px,py);
}
}
function shaZI(c,x,y,lx,ly,arc,clowckwise)
{
c.beginPath()
ZkcvR(c,x,y,lx,ly,arc,clowckwise)
}
function ZkcvR(c,x,y,lx,ly,arc,clowckwise)
{
if(clowckwise)
{
c.moveTo(x+arc,y);c.lineTo(x+lx-arc,y);c.quadraticCurveTo(x+lx,y,x+lx,y+arc);c.lineTo(x+lx,y+ly-arc);c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);c.lineTo(x+arc,y+ly);c.quadraticCurveTo(x,y+ly,x,y+ly-arc);c.lineTo(x,y+arc);c.quadraticCurveTo(x,y,x+arc,y);
return;
}
c.moveTo(x,y+arc);c.lineTo(x,y+ly-arc);c.quadraticCurveTo(x,y+ly,x+arc,y+ly);c.lineTo(x+lx-arc,y+ly);c.quadraticCurveTo(x+lx,y+ly,x+lx,y+ly-arc);c.lineTo(x+lx,y+arc);c.quadraticCurveTo(x+lx,y,x+lx-arc,y);c.lineTo(x+arc,y);c.quadraticCurveTo(x,y,x,y+arc);
}
function isWebKit()
{
if(navigator.userAgent.match(/webkit/i)) return true;
return false;
}
function isMSIE()
{
return BrowserDetect.browser=="Explorer" 
}
function isMSIE8()
{
if((BrowserDetect.browser=="Explorer")&&(BrowserDetect.version==8))
{
return true;
}
return false;
}
function koDAp()
{
return isWebKit();
}
function isMobileWithoutFlash()
{
return isIPhone();
}
function isMobileBrowser()
{
return isIPhone();
}
function isIPhone()
{
if(navigator.userAgent.match(/iPhone/i)||navigator.userAgent.match(/iPod/i))
return true;
return false;
}
function pcfaF(lx,ly,parent,id_suffixe)
{
var fCAem=document.createElement('canvas');fCAem.width=lx;fCAem.height=ly;
return fCAem;
}
function nnUBo(McCEg)
{
var ajkwd=(-McCEg+45);
return new Point(Math.cos(ajkwd*(2*Math.PI)/360),Math.sin(ajkwd*(2*Math.PI)/360))
}
function LTKIP(c,McCEg)
{
var offset=nnUBo(McCEg)
c.shadowOffsetX=2*offset.x;
c.shadowOffsetY=2*offset.y;
c.shadowBlur=4;
}
function WA_over_img_html(klLTk,jIaDe,uoLOH)
{
if(!klLTk.src)
{
var WPcVD=klLTk.getElementsByTagName("IMG")
if(WPcVD.length==1)klLTk=WPcVD[0]
}
if(klLTk.src1==undefined)
{
klLTk.src1=klLTk.src;
klLTk.src2=jIaDe;
}
if(uoLOH)
{
klLTk.src=klLTk.src2;
}
else
{
klLTk.src=klLTk.src1;
}
}
function WA_over_img(id,uoLOH)
{
var el=document.getElementById(id+"-canvas") 

var klLTk=(uoLOH)?el.wa_s_img[1]:el.wa_s_img[0]
WA_img(id,el.wa_lx,el.wa_ly,el.wa_arc,el.wa_bord_siz,el.wa_bord_col,[klLTk,klLTk],el.wa_shadow,el.wa_rot,el.wa_reflex)
}
function eDNdc(OiSqc,lx,ly,arc,side)
{
this.id=OiSqc;
this.lx=lx;
this.ly=ly;
this.arc=arc;
var nSide=side
var reflexion=0.25
var sizeReflex=ly*reflexion;
this.decX=0
this.decY=0
this.sX=0;
this.sY=ly-sizeReflex;
this.sLx=lx;
this.sLy=sizeReflex;
this.gradX1=0
this.gradY1=this.sY
this.gradX2=0
this.gradY2=ly 
if(nSide==2)
{
this.decY=1
}
if(nSide==1)
{
sizeReflex=lx*reflexion;
this.sX=lx-sizeReflex;
this.sY=0;
this.sLx=sizeReflex;
this.sLy=ly;
this.gradX1=this.sX
this.gradY1=0
this.gradX2=lx
this.gradY2=0
this.decX=1
}
if(nSide==0)
{
sizeReflex=ly*reflexion;
this.sX=0;
this.sY=0;
this.sLx=lx;
this.sLy=sizeReflex;
this.gradX1=0
this.gradY1=sizeReflex
this.gradX2=0
this.gradY2=0
this.decY=-1
}
if(nSide==3)
{
sizeReflex=lx*reflexion;
this.sX=0;
this.sY=0;
this.sLx=sizeReflex;
this.sLy=ly;
this.gradX1=sizeReflex
this.gradY1=0
this.gradX2=0
this.gradY2=0
this.decX=-1
}
this.pqxeW=function(canv2)
{
if(/opera/i.test(navigator.userAgent)) return;
if(navigator.userAgent.match(/Firefox/i))
{
var div=document.getElementById(this.id)
if(div.style.MozTransform===undefined) return;
}
var qmFWU=document.getElementById(this.id+"-reflex")
var gWFkN=qmFWU.getContext('2d');
gWFkN.translate(this.lx,0)
gWFkN.scale(-1,1)
gWFkN.beginPath()
shaZI(gWFkN,1,1,this.lx-2,this.ly-2,this.arc)
gWFkN.clip() 


gWFkN.drawImage(canv2,this.sX,this.sY,this.sLx,this.sLy,this.sX,this.sY,this.sLx,this.sLy);
gWFkN.globalCompositeOperation="destination-out";
var gradient=gWFkN.createLinearGradient(this.gradX1,this.gradY1,this.gradX2,this.gradY2);
gradient.addColorStop(0,"rgba(255, 255, 255, 1)");
gradient.addColorStop(1,"rgba(255, 255, 255, 0.1)");
gWFkN.fillStyle=gradient;
gWFkN.beginPath()
gWFkN.rect(this.sX-this.decX,this.sY-this.decY,this.sLx,this.sLy);
gWFkN.fill();
gWFkN.globalCompositeOperation="source-over";
gWFkN.scale(-1,1)
gWFkN.translate(-this.lx,0) 
}
}
function extractNum(st)
{
var len=st.length
if((len>0)&&(st.substring(len-2,len)=="px"))
{
return wa_evaluate(st.substring(0,len-2))
}
return 0;
}
function PphVe(c2,lx,ly,mxhuu,bord_col,arc,arc2)
{
if(mxhuu>0)
{
c2.beginPath()
c2.fillStyle=bord_col;
c2.beginPath()
shaZI(c2,0,0,lx,ly,arc)
ZkcvR(c2,mxhuu,mxhuu,lx-2*mxhuu,ly-2*mxhuu,arc2,true)
c2.fill()
}
}
function BmRXX()
{
this.tx=0
this.ty=0
this.rotation=0
}
function kuNiG(id,lx,ly,rot,c2,canv2,shadow,matrix)
{
if(navigator.userAgent.match(/Firefox/i)||navigator.userAgent.match(/opera/i))
{
var div=document.getElementById(id)
if(div.style.MozTransform!=undefined) return;
if(matrix==undefined)
{
matrix=new BmRXX()
}
div.style.webkitTransformOrigin="0 0"
div.style.webkitTransform="rotate(0deg)";
if(div.style.MozTransform!=undefined)
{
div.style.MozTransform="rotate(0deg)";
div.style.MozTransformOrigin="top left"
}
rot=Math.round(rot/90)*90 
var AmiUV=0;
if(shadow)AmiUV=6
var PlMox=id+"-canvas"
var el=document.getElementById(PlMox)
if(div.wa_pos==undefined)
{
div.wa_pos=new Point(extractNum(div.style.left),extractNum(div.style.top))
}
if(div.wa_size==undefined)
{
div.wa_size=new Size(extractNum(div.style.width),extractNum(div.style.height))
}
if(rot==90)
{
html_SetPosition(div,div.wa_pos.x-(ly)-AmiUV,div.wa_pos.y-AmiUV)
html_SetCanvasSize(el,div.wa_size.height+2*AmiUV,div.wa_size.width+2*AmiUV)
html_SetCanvasSize(canv2,div.wa_size.height+4*AmiUV,div.wa_size.width+4*AmiUV)
html_SetSize(div,div.wa_size.height+2*AmiUV,div.wa_size.width+2*AmiUV) 
matrix.tx=ly+2*AmiUV
matrix.ty=2*AmiUV
}
if(rot==180)
{
html_SetPosition(div,div.wa_pos.x-lx,div.wa_pos.y-ly)
matrix.tx=lx
matrix.ty=ly
}
if(rot==270)
{
html_SetPosition(div,div.wa_pos.x-AmiUV,div.wa_pos.y-lx-AmiUV)
html_SetCanvasSize(el,div.wa_size.height+2*AmiUV,div.wa_size.width+2*AmiUV)
html_SetCanvasSize(canv2,div.wa_size.height+4*AmiUV,div.wa_size.width+4*AmiUV)
html_SetSize(div,div.wa_size.height+2*AmiUV,div.wa_size.width+2*AmiUV) 
matrix.tx=2*AmiUV
matrix.ty=lx+2*AmiUV
}
matrix.rotation=rot*2*Math.PI/360
c2.translate(matrix.tx,matrix.ty)
c2.rotate(matrix.rotation)
}
}
function WA_img(id,lx,ly,arc,mxhuu,bord_col,s_img,shadow,rot,VgxaI)
{
var PlMox=id+"-canvas"
var el=document.getElementById(PlMox)
var c=el.getContext('2d');
var jlSKn=false;
if((VgxaI!=undefined)&&(VgxaI!=-1))
{
jlSKn=new eDNdc(PlMox,lx,ly,arc,VgxaI)
}
var AmiUV=0;
if(shadow)AmiUV=6 

if(el.wa_lx==undefined)
{
el.wa_lx=lx
el.wa_ly=ly
el.wa_arc=arc
el.wa_bord_siz=mxhuu
el.wa_bord_col=bord_col
el.wa_s_img=s_img
el.wa_shadow=shadow
el.wa_rot=rot
el.wa_reflex=VgxaI
c.translate(AmiUV,AmiUV)
}
var WNMdr_img=document.getElementById(id+"-cache")
WNMdr_img.onload=function()
{
c.clearRect(0,0,lx+2*AmiUV,ly+2*AmiUV)
var arc2=arc-mxhuu;
if(arc2<0)arc2=0;
this.width=lx-2*mxhuu
this.height=ly-2*mxhuu
if(isMSIE())
{
if(shadow) HZwKW(c,0,0,lx,ly,arc,false,rot)
var HIWJi=c.createPattern(this,'no-repeat');
c.fillStyle=HIWJi;
c.beginPath()
shaZI(c,mxhuu,mxhuu,lx-2*mxhuu,ly-2*mxhuu,arc2)
c.translate(mxhuu,mxhuu)
c.fill()
c.translate(-mxhuu,-mxhuu)
PphVe(c,lx,ly,mxhuu,bord_col,arc,arc2)
}
else
if(navigator.userAgent.match(/Firefox/i)&&(shadow))
{
var qrqXa=new  BmRXX()
kuNiG(id,lx,ly,rot,c,el,shadow,qrqXa)
if(shadow) HZwKW(c,0,0,lx,ly,arc,false,rot)
var c2=c
PphVe(c2,lx,ly,mxhuu,bord_col,arc,arc2)
c2.beginPath()
shaZI(c2,mxhuu,mxhuu,lx-2*mxhuu,ly-2*mxhuu,arc2)
c2.clip()
c2.drawImage(this,mxhuu,mxhuu,lx-2*mxhuu,ly-2*mxhuu);
c2.rotate(-qrqXa.rotation)
c2.translate(-qrqXa.tx,-qrqXa.ty)
}
else
{
var canv2=pcfaF(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
var qrqXa=new  BmRXX()
kuNiG(id,lx,ly,rot,c2,canv2,shadow,qrqXa)
c.clearRect(-AmiUV,-AmiUV,lx+2*AmiUV,ly+2*AmiUV)
PphVe(c2,lx,ly,mxhuu,bord_col,arc,arc2)
c2.beginPath()
shaZI(c2,mxhuu,mxhuu,lx-2*mxhuu,ly-2*mxhuu,arc2)
c2.clip()
c2.drawImage(this,mxhuu,mxhuu,lx-2*mxhuu,ly-2*mxhuu);
c2.rotate(-qrqXa.rotation)
c2.translate(-qrqXa.tx,-qrqXa.ty)
if(shadow) LTKIP(c,rot)
c.drawImage(canv2,0,0);
if(jlSKn)
{
jlSKn.pqxeW(canv2)
}
}
}
WNMdr_img.src=s_img[0];
}
function IjDaT(RxZfw,McCEg,MEpTr,kTsEI)
{
RxZfw.style.left=MEpTr+"px"
RxZfw.style.top=kTsEI+"px"
RxZfw.style.webkitTransformOrigin="0 0"
RxZfw.style.webkitTransform="rotate("+McCEg+"deg)";
}
function fwNpx(c,type,lx,ly,corner)
{
if(type==1)
UiBtr(c,0,0,lx,ly)
else
shaZI(c,0,0,lx,ly,corner)
}
function WGxXO(el,c,type,lx,ly,corner,bg,dtwXH,rot)
{
if(koDAp()==false)
{
c.fillStyle=bg;
fwNpx(c,type,lx,ly,corner)
c.fill()
}
else
{
var canv2=pcfaF(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.fillStyle=bg;
fwNpx(c2,type,lx,ly,corner)
c2.fill()
if(dtwXH) LTKIP(c,rot)
c.drawImage(canv2,0,0);
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
}
}
function FmpYH(c,type,lx,ly,mqcuH,bg,EiBta,YMmAF_glow)
{
if(EiBta)
{
var x1=EiBta[0];var y1=EiBta[1];var lx1=EiBta[2];var ly1=EiBta[3];var bCtRi=EiBta[4];
var RphFi=c.createLinearGradient(x1,y1,x1,y1+ly1);
RphFi.addColorStop(0,"rgba(255,255,255,0.7)");RphFi.addColorStop(1,"rgba(255,255,255,0.1)");
c.fillStyle=RphFi;
if(type==1) UiBtr(c,x1,y1,lx1,ly1)
else
shaZI(c,x1,y1,lx1,ly1,bCtRi)
c.fill()
}
if(YMmAF_glow)
{
var x2=YMmAF_glow[0];var y2=YMmAF_glow[1];var lx2=YMmAF_glow[2];var ly2=YMmAF_glow[3];
var dVQsj=YMmAF_glow[4];
var HcSfm_glow=new RGBColor(YMmAF_glow[5]);
HcSfm_glow.a=0;
var col1=YMmAF_glow[5];
var col2=HcSfm_glow.toRGB();
var hUZQj=c.createLinearGradient(x2,y2,x2,y2+ly2);
hUZQj.addColorStop(0,col2);
hUZQj.addColorStop(0.2,col2);
hUZQj.addColorStop(1,col1);
c.fillStyle=hUZQj;
if(type==1) UiBtr(c,x2,y2,lx2,ly2)
else
shaZI(c,x2,y2,lx2,ly2,dVQsj)
c.fill()
}
}
function wQZSr(HAaaC,OiSqc,ejrpJ,qwuoi,WPjrs,mqcuH,mMOXW,EiBta,YMmAF_glow,dtwXH,McCEg)
{
HAaaC.OiSqc=OiSqc;HAaaC.ejrpJ=ejrpJ;
HAaaC.qwuoi=qwuoi;HAaaC.WPjrs=WPjrs;
HAaaC.mqcuH=mqcuH;HAaaC.mMOXW=mMOXW,HAaaC.EiBta=EiBta;
HAaaC.YMmAF_glow=YMmAF_glow;HAaaC.dtwXH=dtwXH;HAaaC.McCEg=McCEg;
}
function WA_but_over(OiSqc,mMOXW_over,HcSfm_glow)
{
var NhPgh=document.getElementById(OiSqc) 
if(NhPgh&&NhPgh.NlvWq)
with(NhPgh.NlvWq)
{
var YMmAF_glow_over;
if(YMmAF_glow&&HcSfm_glow)
{
YMmAF_glow_over=new Array();
for(var WEqJa=0;WEqJa<YMmAF_glow.length;WEqJa++)YMmAF_glow_over[WEqJa]=YMmAF_glow[WEqJa];
YMmAF_glow_over[5]=HcSfm_glow;
}
WA_but(OiSqc,ejrpJ,qwuoi,WPjrs,mqcuH,mMOXW_over,EiBta,YMmAF_glow_over,dtwXH,McCEg);
}
var KiGVx_over0=document.getElementById(OiSqc+"-div0")
if(KiGVx_over0)html_SetVisibility(KiGVx_over0,false);
var MZrCu=document.getElementById(OiSqc+"-div1")
if(MZrCu)html_SetVisibility(MZrCu,true);
}
function WA_but_out(OiSqc)
{
var NhPgh=document.getElementById(OiSqc)
with(NhPgh.NlvWq)
{
WA_but(OiSqc,ejrpJ,qwuoi,WPjrs,mqcuH,mMOXW,EiBta,YMmAF_glow,dtwXH,McCEg);
}
var KiGVx_over0=document.getElementById(OiSqc+"-div0")
if(KiGVx_over0)html_SetVisibility(KiGVx_over0,true);
var MZrCu=document.getElementById(OiSqc+"-div1")
if(MZrCu)html_SetVisibility(MZrCu,false);
}
function WA_but(id,type,lx,ly,corner,bg,top_light,s_glow,dtwXH,rot)
{
var el=document.getElementById(id)
if(el.NlvWq==undefined)
{
el.NlvWq=new Array();
wQZSr(el.NlvWq,id,type,lx,ly,corner,bg,top_light,s_glow,dtwXH,rot);
}
var c=el.getContext('2d');
var AmiUV=0;
if(dtwXH)AmiUV=6 
c.fillStyle="#000000";
c.fillRect(0,0,lx+2*AmiUV,ly+2*AmiUV) 
c.clearRect(0,0,lx+2*AmiUV,ly+2*AmiUV) 
var bg2=bg
if(bg2.substring(0,1)=="(")
{
bg2=bg2.substring(1)
bg2=bg2.substring(0,bg2.length-1)
var img=new Image();
img.onload=function()
{
if(koDAp()==false)
{
c.translate(AmiUV,AmiUV)
img.width=lx
img.height=ly 
if(dtwXH)
HZwKW(c,0,0,lx,ly,corner,(type==1),rot)
if(navigator.userAgent.match(/Firefox/i))
{
c.beginPath()
fwNpx(c,type,lx,ly,corner)
c.clip()
c.drawImage(img,0,0,lx,ly);
}
else
{
var ptrn=c.createPattern(img,'no-repeat');
c.fillStyle=ptrn;
c.beginPath()
fwNpx(c,type,lx,ly,corner)
c.fill()
}
FmpYH(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-AmiUV,-AmiUV)
}
else
{
var canv2=pcfaF(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.beginPath()
fwNpx(c2,type,lx,ly,corner)
c2.clip()
c2.drawImage(img,0,0,lx,ly);
FmpYH(c2,type,lx,ly,corner,bg,top_light,s_glow)
if(dtwXH) LTKIP(c,rot) 
c.drawImage(canv2,AmiUV,AmiUV);
}
}
img.src=bg2;
return;
}
c.translate(AmiUV,AmiUV) 
if(dtwXH&&(koDAp()==false))
{
var uBPIi=new RGBColor(bg);
if(uBPIi.a>0)
{
HZwKW(c,0,0,lx,ly,corner,(type==1),rot)
}
}
WGxXO(el,c,type,lx,ly,corner,bg2,dtwXH,rot)
FmpYH(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-AmiUV,-AmiUV)
}
function HZwKW(c,x0,y0,lx0,ly0,corner,is_circle,rot)
{
var decShadow=2;
var offset=nnUBo(rot)
c.translate(decShadow*offset.x,decShadow*offset.y)
var dec_init=2;
var x=x0-dec_init;var y=y0-dec_init;var lx=lx0+2*dec_init;var ly=ly0+2*dec_init;var opacity=0.1;
for(var n=0;n<4;n++)
{
c.beginPath()
if(is_circle) UiBtr(c,x,y,lx,ly);else shaZI(c,x,y,lx,ly,corner);
c.fillStyle="rgba(0,0,0, "+opacity+")"
c.fill()
x+=1;y+=1;lx-=2;ly-=2;opacity+=0.04
}
c.translate(-decShadow*offset.x,-decShadow*offset.y)
}
function xEbIm(id,x,y,lx,ly,arc,mxhuu,bord_col,bg,shadow,rot,XAUlt,BTLoC)
{
if(BTLoC==undefined)BTLoC=true;
var el=document.getElementById(id)
var c=el.getContext('2d');
if(XAUlt==undefined)XAUlt=1.0;
var AmiUV=0;
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
if(shadow)
{
AmiUV=6;
}
if(BTLoC) c.clearRect(0,0,el.width,el.height)
c.globalAlpha=XAUlt 
var x_rect0=0;
var y_rect0=0;
var bg1=bg[0]
var fill_obj=false;
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var Yvxgv=bg1.split(";");
var x1=parseFloat(Yvxgv[0]);
var y1=parseFloat(Yvxgv[1]);
var x2=parseFloat(Yvxgv[2]);
var y2=parseFloat(Yvxgv[3]);
var col1=Yvxgv[4];
var col2=Yvxgv[5];
var grad=c.createLinearGradient(x1,y1,x2,y2);
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
fill_obj=grad
}
else
{
if(bg1.length==0)bg1='rgba(0,0,0,0)'
fill_obj=bg1;
}
var arc2=arc-mxhuu;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
{
if(shadow) HZwKW(c,AmiUV,AmiUV,lx,ly,arc,false,rot)
}
if(mxhuu>0)
{
c2.fillStyle=bord_col;
shaZI(c2,x,y,lx,ly,arc)
ZkcvR(c2,x+mxhuu,y+mxhuu,lx-2*mxhuu,ly-2*mxhuu,arc2,true)
c2.fill()
}


c2.fillStyle=fill_obj 
shaZI(c2,x+mxhuu,y+mxhuu,lx-2*mxhuu,ly-2*mxhuu,arc2)
c2.fill();
}
function keRHS(enfaW,KMmeu,XGKFF)
{
return new Point(Math.round(enfaW*Math.cos(XGKFF)-KMmeu*Math.sin(XGKFF)),Math.round(enfaW*Math.sin(XGKFF)+KMmeu*Math.cos(XGKFF)))
}
function SFQrx(c,x,y,lx,ly,arc,clowckwise,McCEg)
{
c.beginPath()
chZwZ(c,x,y,lx,ly,arc,clowckwise,McCEg)
}
function chZwZ(c,x,y,lx,ly,arc,clowckwise,McCEg)
{
if(clowckwise)
{
c.moveTo(x+arc,y);
c.lineTo(x+lx-arc,y);
c.quadraticCurveTo(x+lx,y,x+lx,y+arc);
c.lineTo(x+lx,y+ly-arc);
c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);
c.lineTo(x+arc,y+ly);
c.quadraticCurveTo(x,y+ly,x,y+ly-arc);
c.lineTo(x,y+arc);
c.quadraticCurveTo(x,y,x+arc,y);
return;
}
var BkmUv=[[x,y+arc],[x,y+ly-arc],[x,y+ly],[x+arc,y+ly],[x+lx-arc,y+ly],[x+lx,y+ly],[x+lx,y+ly-arc],[x+lx,y+arc],[x+lx,y],[x+lx-arc,y],[x+arc,y],[x,y],[x,y+arc]];
var theta=McCEg*2*Math.PI/360
for(var n=0;n<BkmUv.length;n++)
{
var MSvpc=BkmUv[n][0]
var qtxmI=BkmUv[n][1]
BkmUv[n][0]=MSvpc*Math.cos(theta)-qtxmI*Math.sin(theta);
BkmUv[n][1]=MSvpc*Math.sin(theta)+qtxmI*Math.cos(theta);
}
var n=0;
c.moveTo(BkmUv[n][0],BkmUv[n++][1]);
c.lineTo(BkmUv[n][0],BkmUv[n++][1]);
c.quadraticCurveTo(BkmUv[n][0],BkmUv[n++][1],BkmUv[n][0],BkmUv[n++][1]);
c.lineTo(BkmUv[n][0],BkmUv[n++][1]);
c.quadraticCurveTo(BkmUv[n][0],BkmUv[n++][1],BkmUv[n][0],BkmUv[n++][1]);
c.lineTo(BkmUv[n][0],BkmUv[n++][1]);
c.quadraticCurveTo(BkmUv[n][0],BkmUv[n++][1],BkmUv[n][0],BkmUv[n++][1]);
c.lineTo(BkmUv[n][0],BkmUv[n++][1]);
c.quadraticCurveTo(BkmUv[n][0],BkmUv[n++][1],BkmUv[n][0],BkmUv[n++][1]);
}
function YKggq(a,b,x,y)
{
return(a*x-y+b)/(Math.sqrt(1+a*a))
}
function XbJZv(new_a1,new_b1,HacMX,multi)
{
var d=0;
for(var i=0;i<HacMX.length;i++)
{
var TpnvB=HacMX[i]
var d1=YKggq(new_a1,new_b1,TpnvB.x,TpnvB.y)
if(multi<0)
{
if(d1<0) d=Math.max(d,-d1);
}
else
{
if(d1>0) d=Math.max(d,d1);
}
}
return d;
}
function vlKFZ(o1,o2)
{
if(o1<o2) return-1
if(o1>o2) return 1
return 0
}
function ORsxQ(c,lx,ly,bg1)
{
var fill_obj=false;
var UAQAR=false;
var ZXBip=false;
var HacMX=false
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var Yvxgv=bg1.split(";");
var WYDVf=new Point(parseFloat(Yvxgv[0]),parseFloat(Yvxgv[1]));
var KlxVr=new Point(parseFloat(Yvxgv[2]),parseFloat(Yvxgv[3]));
UAQAR=WYDVf.clone()
ZXBip=KlxVr.clone()
var col1=Yvxgv[4];
var col2=Yvxgv[5];
var grad=c.createLinearGradient(UAQAR.x,UAQAR.y,ZXBip.x,ZXBip.y);
if(isMSIE())
{
UAQAR=WYDVf.clone()
ZXBip=KlxVr.clone() 
var RphFi=0;
var hUZQj=1;
{
HacMX=[{x:0,y:0},{x:lx,y:0},{x:lx,y:ly},{x:0,y:ly}]
var d1=0;
var d2=0;
var a=(ZXBip.y-UAQAR.y)/(ZXBip.x-UAQAR.x);
var b=UAQAR.y-a*UAQAR.x;
var diff=1;
if(a==Infinity)
{
d1=(UAQAR.y)
d2=(ly-ZXBip.y)
}
else
if(a==0)
{
d1=(UAQAR.x)
d2=(lx-ZXBip.x)
}
else
{
var new_a1=-1/a;
var new_b1=UAQAR.y-new_a1*UAQAR.x;
d1=XbJZv(new_a1,new_b1,HacMX,-1)
var new_b2=ZXBip.y-new_a1*ZXBip.x;
d2=XbJZv(new_a1,new_b2,HacMX,1)
if(new_a1<0)diff=-1;
}
var d=Math.sqrt(Math.pow(ZXBip.x-UAQAR.x,2)+Math.pow(ZXBip.y-UAQAR.y,2))
var total=(d1+d+d2)
RphFi=d1/total;
hUZQj=(d1+d)/total;
var pt_prod0=new Point(ZXBip.x-UAQAR.x,ZXBip.y-UAQAR.y)
var pt_prod1=new Point(0,100)
var prod=(pt_prod0.x*pt_prod1.y-pt_prod1.x*pt_prod0.y);
if(prod*diff<0)
{
RphFi=d2/total;
hUZQj=(d2+d)/total;
}
}
grad.addColorStop(RphFi,col1);
grad.addColorStop(hUZQj,col2);

}
else
{
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
}
fill_obj=grad
}
else
{
fill_obj=bg1;
}
return fill_obj;
}
function WA_bg3(id,lx,ly,arc,mxhuu,bord_col,bg,shadow,rot,Mfpnw,NoiIi,XAUlt,BTLoC)
{


var theta=rot*2*Math.PI/360 
if(BTLoC==undefined)BTLoC=true;
if(XAUlt==undefined)XAUlt=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var AmiUV=(el.width-lx)/2;
if(BTLoC) c.clearRect(0,0,el.width,el.height)
var x_rect0=AmiUV;
var y_rect0=AmiUV;
var bg1=bg[0]
var fill_obj=false;
var UAQAR=false;
var ZXBip=false;
var HacMX=false
fill_obj=ORsxQ(c,lx,ly,bg1) 
if(XAUlt==undefined)XAUlt=1.0;
var arc2=arc-mxhuu;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
if(shadow)
{
c2.translate(Mfpnw+6,NoiIi+6)
}
else
{
c2.translate(Mfpnw,NoiIi)
}
c2.fillStyle=fill_obj;
SFQrx(c2,mxhuu,mxhuu,lx-2*mxhuu,ly-2*mxhuu,arc2,false,rot)
c2.fill();
}
function WA_bg(id,lx,ly,arc,mxhuu,bord_col,bg,shadow,rot,XAUlt,BTLoC)
{

if(BTLoC==undefined)BTLoC=true;
if(XAUlt==undefined)XAUlt=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var AmiUV=(el.width-lx)/2;
if(BTLoC) c.clearRect(0,0,el.width,el.height) 

var fill_obj=ORsxQ(c,lx,ly,bg[0])
if(bg.length>1)
{
var bg2=bg[1]
var img=new Image();
img.onload=function()
{
var ptrn=c.createPattern(img,'repeat');
c.fillStyle=ptrn;
c.beginPath()
PxVZB(c,el,lx,ly,arc,mxhuu,bord_col,ptrn,shadow,rot,XAUlt)
}
img.src=bg2;
}
else
{
PxVZB(c,el,lx,ly,arc,mxhuu,bord_col,fill_obj,shadow,rot,XAUlt)
}
}
function PxVZB(c,el,lx,ly,arc,mxhuu,bord_col,fill_obj,shadow,rot,XAUlt)
{
if(XAUlt==undefined)XAUlt=1.0;
var arc2=arc-mxhuu;
if(arc2<0)arc2=0
var AmiUV=(el.width-lx)/2;
var x_rect0=AmiUV;
var y_rect0=AmiUV;
var canv2=false;
var c2=c;
c.globalAlpha=XAUlt
if(koDAp()==true)
{
canv2=pcfaF(lx,ly);
c2=canv2.getContext('2d');
c2.globalAlpha=XAUlt
}
else
{
c2.translate(AmiUV,AmiUV)
if(shadow) HZwKW(c,0,0,lx,ly,arc,false,rot)
}
if(mxhuu>0)
{
c2.fillStyle=bord_col;
shaZI(c2,0,0,lx,ly,arc)
ZkcvR(c2,mxhuu,mxhuu,lx-2*mxhuu,ly-2*mxhuu,arc2,true)
c2.fill()
}
c2.fillStyle=fill_obj;
shaZI(c2,mxhuu,mxhuu,lx-2*mxhuu,ly-2*mxhuu,arc2)
c2.fill();
if(koDAp()==true)
{
if(shadow) LTKIP(c,rot)
c.drawImage(canv2,AmiUV,AmiUV);
}
else
{
c2.translate(-AmiUV,-AmiUV)
}
}
function WA_div_offset(id,x,y)
{
if(isMSIE())
{
var el=document.getElementById(id)
if(el.filters)
{
el.style.left=""+x+"px";el.style.top=""+y+"px";
}
}
}


function Size(lx,ly)
{
this.width=lx;this.height=ly;
this.clone=function(){return new Size(this.width,this.height)}
this.greaterThan=function(YMmAF){return(this.width>YMmAF.width)&&(this.height>YMmAF.height)}
this.scale=function(onvQB,JlAFf)
{
if(!JlAFf)JlAFf=false
var wOdqv=this;
var fVqBk=wOdqv.width
var YcflW=wOdqv.height
var p1=fVqBk*onvQB.height;
var p2=onvQB.width*YcflW;
var r1=fVqBk/YcflW;
var r2=YcflW/fVqBk;
var newSize1=new Size(onvQB.height*r1,onvQB.height);
var newSize2=new Size(onvQB.width,onvQB.width*r2);
if(p2>p1)
{
if((JlAFf==true)||((newSize1.width<=wOdqv.width)&&(newSize1.height<=wOdqv.height)))
{
wOdqv.width=Math.round(newSize1.width);
wOdqv.height=Math.round(newSize1.height);
}
}
else
{
if((JlAFf==true)||((newSize2.width<=wOdqv.width)&&(newSize2.height<=wOdqv.height)))
{
wOdqv.width=Math.round(newSize2.width);
wOdqv.height=Math.round(newSize2.height);
}
}
this.width=wOdqv.width;
this.height=wOdqv.height;
return true;
}
}
function Point(p_x,p_y){this.x=p_x;this.y=p_y;
this.translate=function(enfaW,KMmeu){this.x+=enfaW;this.y+=KMmeu;}
this.clone=function(){return new Point(this.x,this.y)}
}
function Rect(p_x,p_y,lx,ly)
{
this.x=p_x;this.y=p_y;this.width=lx;this.height=ly;
this.clone=function(){return new Rect(this.x,this.y,this.width,this.height)}
this.equals=function(RxZfw){return(this.x==RxZfw.x)&&(this.y==RxZfw.y)&&(this.width==RxZfw.width)&&(this.height==RxZfw.height);}
this.copy=function(RxZfw){this.x=RxZfw.x;this.y=RxZfw.y;this.width=RxZfw.width;this.height=RxZfw.height;}
this.translate=function(enfaW,KMmeu){this.x+=enfaW;this.y+=KMmeu;}
}
function html_getLayer(RxZfw)
{
if(typeof(RxZfw)=="string")return document.getElementById(RxZfw);
return RxZfw;
}
function html_SetPosition(RxZfw,enfaW,KMmeu){
RxZfw=html_getLayer(RxZfw);
RxZfw.style.left=enfaW+"px";RxZfw.style.top=KMmeu+"px";
}
function html_SetSize(KEJHG,qwuoi,WPjrs){
RxZfw=html_getLayer(KEJHG);
RxZfw.style.width=qwuoi+"px";RxZfw.style.height=WPjrs+"px";
}
function html_SetRect(RxZfw,HSOXO){html_SetGeometry(RxZfw,HSOXO.x,HSOXO.y,HSOXO.width,HSOXO.height);}
function html_SetGeometry(RxZfw,enfaW,KMmeu,qwuoi,WPjrs){html_SetPosition(RxZfw,enfaW,KMmeu);html_SetSize(RxZfw,qwuoi,WPjrs);}
function html_SetVisibility(RxZfw,BKpSO){RxZfw=html_getLayer(RxZfw);RxZfw.style.visibility=(BKpSO)?"visible":"hidden";}
function html_SetDisplay(RxZfw,BKpSO){RxZfw=html_getLayer(RxZfw);RxZfw.style.display=(BKpSO)?"block":"none";}
function html_SetCanvasSize(RxZfw,qwuoi,WPjrs){RxZfw=html_getLayer(RxZfw);RxZfw.width=qwuoi;RxZfw.height=WPjrs;}
function html_writeContent(RxZfw,YMmAF){RxZfw=html_getLayer(RxZfw);RxZfw.innerHTML=YMmAF;}
function html_SetOpacity(RxZfw,FTwWk)
{
RxZfw=html_getLayer(RxZfw);
RxZfw.style['opacity']=FTwWk;
RxZfw.style['-moz-opacity']=FTwWk;
RxZfw.style.filter=(FTwWk==1)?'':'alpha(opacity='+(FTwWk*100)+')';
}
var VoAqS=[
{acc:"e",l:["é","è","ë"]},{acc:"a",l:["à","ä","â"]},{acc:"u",l:["ü","û"]},{acc:"c",l:["ç"]},{acc:"o",l:["ö","ô"]}
];
function removeAccentsFromString(s)
{
var res=s.toLowerCase();
for(var i=0;i<VoAqS.length;i++)
{
var array2=VoAqS[i].l;
for(var i2=0;i2<array2.length;i2++)
{
var reg=new RegExp(array2[i2],"g");
res=res.replace(reg,VoAqS[i].acc)
}
}
return res;
}
function trimString(str)
{
return str.replace(/^\s*|\s*$/g,"");
}
function IsNumeric(BwFWU)
{
var hjYqm="0123456789.";var FHsRF=true;var PhCUs;
for(WEqJa=0;WEqJa<BwFWU.length&&FHsRF==true;WEqJa++){PhCUs=BwFWU.charAt(WEqJa);if(hjYqm.indexOf(PhCUs)==-1) FHsRF=false;}
return FHsRF;
}
function getWindowScroll()
{
var x=0;var y=0;
if(typeof(window.pageYOffset)=='number'){
x=window.pageXOffset;y=window.pageYOffset;
}else if(document.body&&(document.body.scrollLeft||document.body.scrollTop)){
x=document.body.scrollLeft;y=document.body.scrollTop;
}else if(document.documentElement&&(document.documentElement.scrollLeft||document.documentElement.scrollTop)){
x=document.documentElement.scrollLeft;y=document.documentElement.scrollTop;
}
return new Point(x,y);
}
function getWindowSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
if(isIPhone())
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;ly=window.innerHeight;
}
return new Size(lx,ly);
}
function getWindowFullSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number'){
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
return new Size(lx,ly);
}
function urlSuffixe(QCTPp)
{
var FRARm=QCTPp*60;
var IDlVZ=new Date();
var ONYTp=0;
ONYTp+=IDlVZ.getYear()*12*31*24*60*60;
ONYTp+=IDlVZ.getMonth()*31*24*60*60;
ONYTp+=IDlVZ.getDate()*24*60*60;
ONYTp+=IDlVZ.getHours()*60*60;
ONYTp+=IDlVZ.getMinutes()*60;
ONYTp+=IDlVZ.getSeconds();
if(FRARm!=0)
{
ONYTp=Math.floor(ONYTp/FRARm)*FRARm
}
return "-"+ONYTp;
}
function html_findPos(obj)
{
var FTwWk=jZiXK(obj)
return new Point(FTwWk[0],FTwWk[1])
}
function jZiXK(obj)
{
var curleft=curtop=0;
if(obj.offsetParent)
{
do
{
curleft+=obj.offsetLeft;curtop+=obj.offsetTop;
}while(obj=obj.offsetParent);
}
return [curleft,curtop];
}
function Wa_search_input(TQnDe,qwuoi,WPjrs)
{
document.write("<input id='"+TQnDe+"' type=search results=0 placeholder='' style='width:"+qwuoi+"px;height:"+WPjrs+"px;'>")
}
function lBXIa()
{
var WPcVD=document.getElementsByTagName("A");
for(var WEqJa=0;WEqJa<WPcVD.length;WEqJa++)
{
var RxZfw=WPcVD[WEqJa];
if(RxZfw.onmouseover)RxZfw.onmouseover=null;
if(RxZfw.onmouseout)RxZfw.onmouseout=null;
}
}
function opfLL()
{
for(var gDNsK in document.wa_global_list_element)
{
var OiSqc=document.wa_global_list_element[gDNsK]
var NhPgh=document.getElementById(OiSqc)
NhPgh.onclick=function()
{
WA_focus(this)
}
}
}
function WA_declare(OiSqc)
{
if(!document.wa_global_list_element)
{
document.wa_global_list_element=new Array();;
}
document.wa_global_list_element.push(OiSqc)
}
function QlEQv()
{
var nEqkB=window.location.search;
if(nEqkB.substr(0,1)=="?")nEqkB=nEqkB.substr(1);
if(nEqkB.length==0)return;
var tfqtc=new Array();
var WAOqO=nEqkB.split("&");
for(var i=0;i<WAOqO.length;i++)
{
var scAGf=WAOqO[i].split("=");tfqtc[scAGf[0]]=scAGf[1];
}
var YMmAF_info=tfqtc["crbst_info"];
if(!YMmAF_info)return;
var WOeKe=new Array();
WOeKe.m_unid=YMmAF_info;
WOeKe.m_index_item=-1;
var QwXVj=YMmAF_info.indexOf("-");
if(QwXVj!=-1)
{
WOeKe.m_unid="wa-id-"+YMmAF_info.substring(0,QwXVj);
WOeKe.m_index_item=parseInt(YMmAF_info.substring(QwXVj+1));
}
document.wa_global_query_info=WOeKe;
}
function IS_onload_WA()
{

if(isMSIE8())
{
wa_timeout("IS_onload_ui()",0)
}
else
{
IS_onload_ui()
}
if(isIPhone())
{
lBXIa()
}
else
{
opfLL()
}
QlEQv();

WVqEv()
}
function WVqEv()
{
var QbUfH=0;
var NJNXn=document.webaca_banner_height;
if(document.webaca_page_is_centered)
{
var jsitL=getWindowSize().width
var cdTbV=document.webaca_width_page
if(jsitL>cdTbV)QbUfH=(jsitL-cdTbV)/2;
}
document.body.style.backgroundPosition=QbUfH+"px "+NJNXn+"px";
}


function WA_loadMessages()
{
for(var k in CONST_WA_TR)
{
var key=CONST_WA_TR[k]
Translator.m_tr[key[0]]=key[1]
}
for(var n=0;n<CONST_WA_COUNTRIES.codes.length;n++)
{
var lqrkK=CONST_WA_COUNTRIES.codes[n]
var jgrbf=CONST_WA_COUNTRIES.labels[n]
Translator.m_countries[lqrkK]=jgrbf
}
}
function Translator()
{
}
Translator.m_tr=new Array();
Translator.m_countries=new Array();
Translator.tr=function(k)
{
try
{
var v=Translator.m_tr[k]
if((v==undefined)||(v.length==0))return "@"+k;
v=v.replace(/\n/g,"<br>")
return v
}
catch(e){}
return k;
}
Translator.country=function(k)
{
try
{
var v=Translator.m_countries[k]
if((v==undefined)||(v.length==0))return "@"+k;
return v
}
catch(e){}
return k;
}
function WA_GraphicElement(OiSqc,nFEFc,dtwXH)
{
this.OiSqc=OiSqc;
this.nFEFc=nFEFc
this.dtwXH=dtwXH;
this.gMgBC=this.OiSqc+"-div"
this.Rrunx=this.OiSqc+"-canvas"
this.CxxDt=new Rect(0,0,0,0)
this.xwLbW=false;
this.BxDRa=false;
this.AmiUV=6;
this.QNXMN=false;
this.TxQeI=false;
this.jlJlS=false;
this.AcoNG="";
this.shadow=function()
{
return this.dtwXH;
}
this.marginShadow=function()
{
return this.AmiUV;
}
this.rect=function()
{
return this.CxxDt;
}
this.canvasId=function()
{
return this.Rrunx;
}
this.divId=function()
{
return this.gMgBC;
}
this.opacity=function()
{
return this.OLqwg;
}
this.img_clip=function()
{
return this.TxQeI;
}
this.img_src=function()
{
return this.QNXMN;
}
this.toHtml=function()
{
var YMmAF=""
YMmAF+="<div id='"+this.gMgBC+"' style=\"";
YMmAF+="position:absolute;";
if(this.AcoNG.length>0)
{
YMmAF+="cursor:pointer;";
}
if(this.rect.x>0)YMmAF+="left:"+this.rect.x+"px;";
if(this.rect.y>0)YMmAF+="top:"+this.rect.y+"px;";
if(this.rect.width>0)YMmAF+="width:"+this.rect.width+"px;";
if(this.rect.height>0)YMmAF+="height:"+this.rect.height+"px;";
if(nFEFc)
YMmAF+="z-index:"+nFEFc+";";
YMmAF+="\" ";
if(this.AcoNG.length>0)
{
YMmAF+="onclick=\""+this.AcoNG+"\" "
}
YMmAF+=">";
if((this.rect.width>0)&&this.shadow())
{
YMmAF+=html_canvas(this.Rrunx,this.rect.width+2*this.AmiUV,this.rect.height+2*this.AmiUV)+"</div>";
}
else
{
YMmAF+=html_canvas(this.Rrunx,0,0)+"</div>";
}
return YMmAF
}
this.setImage=function(NjtKC,pLDwg,McCEg)
{
if(McCEg==undefined)McCEg=0;
if((NjtKC==this.QNXMN)&&(this.TxQeI&&this.TxQeI.equals(pLDwg))&&(this.jlJlS==McCEg))
{
return;
}
this.jlJlS=McCEg;
this.QNXMN=NjtKC;
this.TxQeI=pLDwg;
this.EGQMg()
}
this.registerDynamicCanvas=function()
{
registerDynamicCanvas(this.Rrunx);
this.BxDRa=true;
this.setRect(this.CxxDt.x,this.CxxDt.y,this.CxxDt.width,this.CxxDt.height)
}
this.EGQMg=function()
{
if((this.CxxDt.width>0)&&(this.CxxDt.height>0))
{
this.draw()
}
this.xwLbW=true
};
this.draw=function(){};
this.setPosition=function(enfaW,KMmeu)
{
this.CxxDt.x=enfaW;this.CxxDt.y=KMmeu;
if(this.BxDRa==false)return
html_SetPosition(this.gMgBC,this.CxxDt.x,this.CxxDt.y)
if(this.xwLbW==false)
{
this.EGQMg()
}
}
this.setOnClick=function(YMmAF)
{
this.AcoNG=YMmAF
}
this.width=function(){return this.CxxDt.width;}
this.height=function(){return this.CxxDt.height;}
this.setSize=function(qwuoi,WPjrs)
{
this.CxxDt.width=qwuoi;this.CxxDt.height=WPjrs;
var XPGCv=qwuoi
var LTJKU=WPjrs
if(this.dtwXH)
{
XPGCv+=2*this.AmiUV
LTJKU+=2*this.AmiUV
}
if(this.BxDRa==false)return
html_SetSize(this.gMgBC,XPGCv,LTJKU)
html_SetCanvasSize(this.Rrunx,qwuoi,WPjrs)
this.EGQMg()
}
this.setRect=function(enfaW,KMmeu,qwuoi,WPjrs)
{
this.CxxDt.x=enfaW;this.CxxDt.y=KMmeu;this.CxxDt.width=qwuoi;this.CxxDt.height=WPjrs;
var XPGCv=qwuoi
var LTJKU=WPjrs
var RmgZC=enfaW
var EKRoG=KMmeu
if(this.dtwXH)
{
XPGCv+=2*this.AmiUV
LTJKU+=2*this.AmiUV
RmgZC-=this.AmiUV
EKRoG-=this.AmiUV
}
if(this.BxDRa==false)return 
html_SetGeometry(this.gMgBC,RmgZC,EKRoG,XPGCv,LTJKU);
html_SetCanvasSize(this.Rrunx,XPGCv,LTJKU)
try{this.EGQMg()}catch(e){
alert(e.message)
}
}
this.setVisible=function(BKpSO)
{
if(this.BxDRa==false)return
html_SetVisibility(this.gMgBC,BKpSO)
}
this.setOpacity=function(FTwWk)
{
this.OLqwg=FTwWk 
if(this.BxDRa==false)return
this.EGQMg()
}
}

function is_onresize()
{
WA_Dialog.resizeUI()
try
{
if(WA_PhotoAlbum_resizeUI)WA_PhotoAlbum_resizeUI()
}
catch(e){}
WVqEv()
}
function is_onscroll()
{
centerFullPageContainer();
}
function registerDynamicCanvas(id)
{
if(isMSIE())
G_vmlCanvasManager.initElement(document.getElementById(id));
}
function WA_openDialogAction(gDNsK)
{
var TqimR=WA_Dialog.CdAKd;
if(gDNsK==-1){TqimR.closeWin();return;}
var kdnXU=TqimR.ircWm(gDNsK);
if(kdnXU[5])
{
kdnXU[4].call(kdnXU[6],kdnXU[5])
}
else
{
kdnXU[4](kdnXU[5]);
}
}
function WA_Dialog(BKpSO_close_button)
{
this.PvRKL=0;
this.jHqjc=0;
this.onvQB_win_width=600;
this.onvQB_win_height=400;
this.QGaLA=new Array();
this.QfeHV="wa-dialog-but-";
this.XUcXa=this.QfeHV+"div-";
this.WlIgb=this.QfeHV+"canvas-";
this.BUTTON_HEIGHT=25;
this.vptLI=CONST_WA_GLOBAL_COLOR_THEME;
this.BKpSO_close_button=BKpSO_close_button;
this.NPJPo=6;
this.TlFEf=function()
{
if(this.BKpSO_close_button==undefined)this.BKpSO_close_button=true;
this.iRKhn();
}
this.resetButtons=function()
{
this.iRKhn();
}
this.idealHeight=function()
{
return this.dUkRd
}
this.displayWindowWithAutoResize=function(lTuHI,mBwcc)
{
this.PmaYx=false
this.dUkRd=lTuHI
this.CoVpv=mBwcc 
this.resetButtons();
mBwcc.call(this)
var l=document.getElementById('wa-dialog-content');
if(this.PmaYx==false)
if(l.scrollHeight>200)
{
this.PmaYx=true
this.dUkRd=l.scrollHeight+150
this.resetButtons();
mBwcc.call(this)
}
}
this.initializeWindow=function(onvQB_lx,onvQB_ly)
{
if(WA_Dialog.CdAKd)WA_Dialog.CdAKd.closeWin()
WA_Dialog.CdAKd=this;
this.onvQB_win_width=onvQB_lx;
this.onvQB_win_height=onvQB_ly;
this.iVbrx()
}
this.progress=function()
{
this.initializeWindow(300,100) 
this.writeContent("<div width=100% align=center><img src='wa_loading.gif'></div>")
}
this.xvotK=function(mess)
{


this.initializeWindow(450,130)
var s=""
s+="<table border=0 style='width:100%;'><tr>";
s+="<td align=center style='"+this.cssText1()+"'>"
s+=mess
s+="</td></tr></table>"
this.writeContent(s)
}
this.addButton=function(jgrbf,QjWFG,WNMdr,HiFhK)
{
var GBfTN=this.QGaLA.length
if(this.BKpSO_close_button==true)
{
GBfTN--;
}
var qwuoi=Math.max((jgrbf.length*8)*1.2+30,80)
var wOdqv=new Size(qwuoi,this.BUTTON_HEIGHT);
this.tSYNV("action_"+GBfTN,GBfTN,jgrbf,QjWFG,wOdqv,WNMdr,HiFhK)
}
this.iRKhn=function()
{
this.QGaLA=new Array();
if(this.BKpSO_close_button)
{
var wOdqv=new Size(120,20);
this.tSYNV("close",-1,Translator.tr("Close")+" - X",null,wOdqv)
}
}
this.tSYNV=function(fpVUW,GBfTN,jgrbf,QjWFG,wOdqv,WNMdr,HiFhK)
{
var kdnXU=[fpVUW,wOdqv,GBfTN,jgrbf,QjWFG,WNMdr,HiFhK];
this.QGaLA.push(kdnXU);
}
this.writeContent=function(s)
{
var l=document.getElementById('wa-dialog-content');
l.innerHTML=s
}
this.ircWm=function(fpVUW)
{
for(var gDNsK=0;gDNsK<this.QGaLA.length;gDNsK++)
{
var kdnXU=this.QGaLA[gDNsK];
if((kdnXU[0]==fpVUW)||(kdnXU[2]+""==fpVUW+""))
return kdnXU;
}
return undefined;
}
this.DDERT=function(fpVUW)
{
var kdnXU=this.ircWm(fpVUW);
return kdnXU[1]
}
this.sxccn=function(LmGYq)
{
var kdnXU=this.ircWm(LmGYq);
var fpVUW=kdnXU[0];
var GBfTN=kdnXU[2];
var HcSfm_text=this.vptLI[4]
var HcSfm_bg=this.vptLI[5]
var HcSfm_glow=this.vptLI[7]
if(GBfTN==-1)
{
HcSfm_text=this.vptLI[10]
HcSfm_bg=this.vptLI[8]
HcSfm_glow=this.vptLI[11]
}
var iRLAl=this.XUcXa+fpVUW;
var dIxLk=this.WlIgb+fpVUW;
var wOdqv=this.DDERT(LmGYq)
var dMfYI=this.NPJPo;
var s=""
s+="<a href='javascript:WA_openDialogAction("+LmGYq+")' ";
var HcSfm=new RGBColor(HcSfm_bg);
var EYvBF=HcSfm.toHsl();
HcSfm.fromHsl(EYvBF[0],EYvBF[1],EYvBF[2]+0.2)
HcSfm_bg=HcSfm.toRGB();
var IqaXM_glow=new RGBColor(HcSfm_glow);
var VnfPT=IqaXM_glow.toHsl();
IqaXM_glow.fromHsl(VnfPT[0],VnfPT[1],VnfPT[2]+0.2)
HcSfm_glow=IqaXM_glow.toRGB();
s+="onmouseover=\"WA_but_over('"+dIxLk+"','"+HcSfm_bg+"','"+HcSfm_glow+"')"+"\" ";
s+="onmouseout=\""+"WA_but_out('"+dIxLk+"')"+"\" ";
s+="style='text-decoration:none;'>";
s+="<div id='"+this.XUcXa+fpVUW+"' style='position:absolute;cursor:pointer;left:0px;top:0px;height:"+wOdqv.height+"px;width:"+wOdqv.width+"px;' >";
s+="<div style='position:absolute;left:"+(-dMfYI)+"px;top:"+(-dMfYI)+"px;height:"+wOdqv.height+"px;'>"
s+="<canvas id='"+this.WlIgb+fpVUW+"' width="+(wOdqv.width+dMfYI*2)+" height="+(wOdqv.height+dMfYI*2)+" ></canvas>";
s+="</div>"
s+="<div align=center style='position:absolute;left:0px;top:"+(0)+"px;vertical-align:middle;width:100%;height:"+(wOdqv.height)+"px;line-height:"+(wOdqv.height)+"px;font-family:arial;font-size:13px;font-weight:bold;color:"+HcSfm_text+"'>"
s+=kdnXU[3];
s+="</div>"
s+="</div>"
s+="</a>"
return s;
}
this.getColorTheme=function(gDNsK)
{
return this.vptLI[gDNsK];
}
this.PenMW=function(fpVUW)
{
var kdnXU=this.ircWm(fpVUW);
var GBfTN=kdnXU[2];
var HcSfm_bg=this.vptLI[5]
var HcSfm_glow=this.vptLI[7]
var HcSfm_text=this.vptLI[3]
if(GBfTN==-1)
{
HcSfm_bg=this.vptLI[8]
HcSfm_glow=this.vptLI[11]
HcSfm_text=this.vptLI[10]
}
var lqrkK=this.WlIgb+fpVUW;
registerDynamicCanvas(lqrkK);
var wOdqv=this.DDERT(fpVUW);
var mqcuH=wOdqv.height*0.25;
var wdSPe=(wOdqv.height-mqcuH)/2;
var BHpNC=(wOdqv.width-2);
var WPjrs_circle_top=mqcuH*2;
var Yvxgv_top=[(wOdqv.width-BHpNC)/2,1,BHpNC,WPjrs_circle_top,wdSPe];
var qwuoi_circle_bottom=wOdqv.width*0.9;
var WPjrs_circle_bottom=wOdqv.height*0.45;
var jmsrg=HcSfm_glow;
var MCGgI=HcSfm_glow;
var mBwbY=WPjrs_circle_bottom/2;
var Yvxgv_bottom=[(wOdqv.width-qwuoi_circle_bottom)/2,wOdqv.height-WPjrs_circle_bottom-1,qwuoi_circle_bottom,WPjrs_circle_bottom,mBwbY,jmsrg,MCGgI];
WA_but(lqrkK,0,wOdqv.width,wOdqv.height,mqcuH,HcSfm_bg,Yvxgv_top,Yvxgv_bottom,true,0)
}
this.rfHNb=function(fpVUW)
{
var kdnXU=this.ircWm(fpVUW)
if(kdnXU)
{
var lqrkK=this.XUcXa+kdnXU[0];
return document.getElementById(lqrkK);
}
return undefined
}
this.iVbrx=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="block" 

var s="";
var ILhcK=document.webaca_banner_height
s+="<div  style='position:absolute;left:0px;top:"+ILhcK+"px;width:100%;height:100%;background-color:#000000;filter:alpha(opacity=50);-moz-opacity:0.5;opacity:0.5;'></div>"
s+="<div id='wa-dialog-main' style='position:absolute;left:0px;top:"+ILhcK+"px;width:100px;height:100px;' >"
s+="<div style='position:absolute;left:0px;top:0px;width:100px;height:100px;' ><canvas id='wa-dialog1' width=100 height=100 ></canvas></div>"
for(var WEqJa in this.QGaLA)
{
s+=this.sxccn(this.QGaLA[WEqJa][2]);
}
s+="<div id='wa-dialog-content' style='position:absolute;left:0px;top:0px;width:100px;" 
s+="overflow:auto;' ></div>"
s+="</div>"
l.innerHTML=s 
WA_exec_callback_opera_compliant(this,this.lVWYL)
}
this.lVWYL=function()
{
registerDynamicCanvas('wa-dialog1');
for(var WEqJa in this.QGaLA)
{
this.PenMW(this.QGaLA[WEqJa][0])
}
this.qVoCd()
}
this.intern_closeWin=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="none"
WA_Dialog.CdAKd=false
}
this.closeWin=function()
{
this.intern_closeWin()
}
this.cssText1=function()
{
return "font-family:Arial;font-size:15px;color:"+this.vptLI[3]+";";
}
this.onCustomKeypress=function(wTtqJ)
{
if((this.QGaLA.length==1)&&(wTtqJ==13))
{
this.closeWin()
return true;
}
return false;
}
this.onkeypress=function(wTtqJ)
{
return this.onCustomKeypress(wTtqJ)
}
this.onkeydown=function(wTtqJ)
{
if(wTtqJ==27)
{
this.closeWin()
return true;
}
return this.onCustomKeypress(wTtqJ) 
}
this.customUpdate=function(){}
this.qVoCd=function()
{
var qwuoi_page=document.webaca_width_page;
var WPjrs_page=document.webaca_height_page;
var LOCGC=getWindowSize().width
var WPjrs_window=getWindowSize().height 

this.PvRKL=Math.min(LOCGC*0.9,this.onvQB_win_width)
this.jHqjc=Math.min(WPjrs_window*0.9,this.onvQB_win_height)
var hZmll=document.getElementById('wa-dialog1');
hZmll.width=this.PvRKL+10
hZmll.height=this.jHqjc+10
var enfaW=getWindowScroll().x+(LOCGC-hZmll.width)/2
var KMmeu=getWindowScroll().y+(WPjrs_window-hZmll.height)/2
enfaW=(LOCGC-hZmll.width)/2
KMmeu=(WPjrs_window-hZmll.height)/2
enfaW=Math.max(0,enfaW)
KMmeu=Math.max(0,KMmeu) 
var vXQvj=document.getElementById('wa-dialog-main');
html_SetGeometry('wa-dialog-main',enfaW,KMmeu,hZmll.width,hZmll.height);
var QhwVq_bg="(0;0;0;"+this.jHqjc*0.25+";"+this.vptLI[1]+";"+this.vptLI[2]+")";
WA_bg('wa-dialog1',this.PvRKL,this.jHqjc,10,3,this.vptLI[0],[QhwVq_bg],true,0)
var Hooit=10;
var woErQ=this.rfHNb(-1)
if(woErQ)
{
var QuNaV_close=this.DDERT(-1)
html_SetPosition(woErQ,this.PvRKL-QuNaV_close.width+this.NPJPo-Hooit,this.NPJPo+Hooit)
}
var djVXV_buttons=this.QGaLA.length;
if(this.BKpSO_close_button==true)
{
djVXV_buttons--;
}
var rAINd=10;
var NIiVZ=0;
for(var WEqJa=0;WEqJa<djVXV_buttons;WEqJa++)
{
if(WEqJa>0) NIiVZ+=rAINd;
var QuNaV=this.DDERT(WEqJa);
NIiVZ+=QuNaV.width;
}
var JFoId=(this.PvRKL-NIiVZ)/2
for(var WEqJa=0;WEqJa<djVXV_buttons;WEqJa++)
{
if(WEqJa>0) JFoId+=rAINd;
var wmgQF=this.rfHNb(WEqJa);
var QuNaV=this.DDERT(WEqJa);
html_SetPosition(wmgQF,JFoId+this.NPJPo,+this.NPJPo+this.jHqjc-QuNaV.height-2*Hooit)
JFoId+=QuNaV.width;
}
var WPjrs_top=45;
var WPjrs_bottom=this.BUTTON_HEIGHT+2*Hooit;
if(djVXV_buttons==0)
{
WPjrs_bottom=0;
}
var WPjrs_content=(this.jHqjc-WPjrs_top-WPjrs_bottom)-Hooit
var jMCQY=document.getElementById('wa-dialog-content');
var TqimR_content=Math.round(this.PvRKL-2*Hooit)
var ldnku=Math.round(WPjrs_content)
this.m_content_lx=TqimR_content
this.m_content_ly=ldnku
html_SetGeometry('wa-dialog-content',Math.round(5+(this.PvRKL-TqimR_content)/2),Math.round(5+WPjrs_top+(WPjrs_content-ldnku)/2),TqimR_content,ldnku);
this.customUpdate() 
var fQEDT=document.getElementById('wa-dialog-container');
jaVuA=getWindowFullSize().width
WPjrs_full_client=getWindowFullSize().height
html_SetSize('wa-dialog-container',jaVuA,WPjrs_full_client);
centerFullPageContainer();
}
this.TlFEf();
}
function WA_exec_callback_opera_compliant(WNMdr,SSLpO)
{
if(/opera/i.test(navigator.userAgent))
WA_exec_delayedCallback(WNMdr,SSLpO)
else
SSLpO.call(WNMdr)
}
function WA_exec_delayedCallback(WNMdr,SSLpO)
{
wa_timeout(Delegate.create(WNMdr,SSLpO),0);
}
WA_Dialog.getCurrent=function()
{
return WA_Dialog.CdAKd;
}
WA_Dialog.CdAKd=false;
WA_Dialog.resizeUI=function()
{
if(WA_Dialog.CdAKd)
{
WA_Dialog.CdAKd.qVoCd()
}
}
WA_Dialog.alert=function(s)
{
var w=new WA_Dialog();
w.xvotK(s)
}
WA_Dialog.progress=function()
{
var w=new WA_Dialog(false);
w.progress()
}
function centerFullPageContainer()
{
var qwuoi_page=document.webaca_width_page;
var WPjrs_page=document.webaca_height_page;
var fQEDT=document.getElementById('wa-dialog-container');
jaVuA=getWindowSize().width
WPjrs_full_client=getWindowSize().height
var KMmeu_bg=getWindowScroll().y;
KMmeu_bg=Math.min(KMmeu_bg,WPjrs_page-WPjrs_full_client+1)
KMmeu_bg=Math.max(KMmeu_bg,0)
var WqxiJ=getWindowScroll().x;
WqxiJ=Math.min(WqxiJ,qwuoi_page-jaVuA+1)
WqxiJ=Math.max(WqxiJ,0) 
html_SetPosition('wa-dialog-container',WqxiJ,KMmeu_bg,jaVuA,WPjrs_full_client);
}

function getXMLHttpRequest(fct_callback,HiFhK)
{
var http_request=false;
if(window.XMLHttpRequest){
http_request=new XMLHttpRequest();
if(http_request.overrideMimeType){
}
}else if(window.ActiveXObject){
try{http_request=new ActiveXObject("Msxml2.XMLHTTP");
}catch(e){
try{http_request=new ActiveXObject("Microsoft.XMLHTTP");}catch(e){}}
}
if(!http_request)
{
alert('Cannot create XMLHTTP instance');
return false;
}
http_request.qlPWT=fct_callback
http_request.HiFhK=HiFhK
http_request.onreadystatechange=function()
{
var req=this 
if(req.readyState==4)
{
this.qlPWT(true,this,this.HiFhK) 

}
};
return http_request;
}
function makePOSTRequest(url,parameters,callback,hhYtK)
{
var http_request=getXMLHttpRequest(callback,hhYtK);
http_request.open('POST',url,true);
http_request.setRequestHeader("Content-type","application/x-www-form-urlencoded");
http_request.setRequestHeader("Content-length",parameters.length);
http_request.setRequestHeader("Connection","close");
http_request.send(parameters);
}
function intern_WA_responseForm(WjRdg,odZmQ,HiFhK)
{
var result=odZmQ.responseText
var n=result.indexOf("BEGIN_IS_PHP=1")
if(n==-1)
{
WA_Dialog.alert(Translator.tr("Error:No php on server"));
}
else
{
n=result.indexOf("mail_sended=1")
if(n>-1)
{
var kWZJQ=HiFhK[0] 
WA_Dialog.alert(Translator.tr("Success:Mail sended"));
var form=document.getElementById(kWZJQ);
form.reset()
}
else
{
var wdFUP="error_string="
n=result.indexOf(wdFUP)
if(n>-1)
{
result=result.substring(n+wdFUP.length)
n=result.indexOf("END_IS_PHP")
if(n>-1)
{
result=result.substring(0,n)
}
WA_Dialog.alert(result);
}
else
{
WA_Dialog.alert("*error send mail!");
}
}
}
}
function WA_form_action(id_form,action,b_email_is_valid)
{
var form=document.getElementById(id_form);
var poststr=""
for(var i=0;i<form.elements.length;i++)
{
var el=form.elements[i];
el.style.backgroundColor="#ffffff"
if((el.value.length==0)&&(el.name.indexOf("_mandatory")>-1))
{
el.style.backgroundColor="#ff0000";el.focus();return;
}
var VLtib=el.value
VLtib=encodeURI(VLtib)
VLtib=VLtib.replace(/&/g,escape("&")) 
poststr+=el.name.replace("_mandatory","")+"="+VLtib+"&"
}
if(b_email_is_valid==false)
{
WA_Dialog.alert(Translator.tr("Email have to be filled in order to the form works correctly"));return;
}
if(document.webaca_is_preview)
{
WA_Dialog.alert(Translator.tr("Operation not allowed in preview mode"));return;
}
WA_Dialog.progress();
makePOSTRequest(action,poststr,intern_WA_responseForm,[id_form]);
}
function WA_form_submit(kLuxq)
{
var kaYGR=document.getElementById(kLuxq);
kaYGR.submit() 
}
function RllwK(OiSqc,HiFhK)
{
var wTtqJ=HiFhK[0]
if(wTtqJ==13)
{
var kLuxq=OiSqc+"-form";
var kaYGR=document.getElementById(kLuxq);
for(var i=0;i<kaYGR.elements.length;i++)
{
var NhPgh=kaYGR.elements[i];
if((NhPgh.type=="textarea")&&(NhPgh.focused))return true;
}
WA_form_submit(kLuxq);
return false;
}
return true;
}
function WA_addFormDeclaration(OiSqc,pSuIH)
{
return WA_addHandler(OiSqc,"keypress",RllwK)
}
function WA_form_bg(id,lx,ly,arc,mxhuu,bord_col,bg,shadow,McCEg,ufCGI)
{
WA_bg(id,lx,ly,arc,mxhuu,bord_col,bg,shadow,McCEg,1.0,true) 
var FfBJt=ufCGI.x;
var patUw=0;
var XtZli=ufCGI.cells
for(var n=0;n<XtZli.length;n++)
{
var kBGuH=XtZli[n]
var arc2=0
xEbIm(id,FfBJt,patUw+kBGuH.y,ufCGI.w,kBGuH.h,arc2,1,ufCGI.border,[''],false,0,1.0,false)
xEbIm(id,FfBJt,patUw+kBGuH.y,kBGuH.w,kBGuH.h,arc2,1,"rgba(0,0,0,0)",[ufCGI.bg],false,0,1.0,false)
}
}
function WA_form_reset(id_form)
{
var form=document.getElementById(id_form);
form.reset() 
}
var BrowserDetect={
init:function(){
this.browser=this.searchString(this.dataBrowser)||"An unknown browser";
this.version=this.searchVersion(navigator.userAgent)||this.searchVersion(navigator.appVersion)||"an unknown version";
this.OS=this.searchString(this.dataOS)||"an unknown OS";
},searchString:function(data){
for(var i=0;i<data.length;i++){
var dataString=data[i].string;var dataProp=data[i].prop;
this.versionSearchString=data[i].versionSearch||data[i].identity;
if(dataString){
if(dataString.indexOf(data[i].subString)!=-1)
return data[i].identity;
}
else if(dataProp)
return data[i].identity;
}
},searchVersion:function(dataString){
var index=dataString.indexOf(this.versionSearchString);
if(index==-1) return;
return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
},
dataBrowser:[
{string:navigator.userAgent,subString:"OmniWeb",versionSearch:"OmniWeb/",identity:"OmniWeb"},{string:navigator.vendor,subString:"Apple",identity:"Safari"},{prop:window.opera,identity:"Opera"},{string:navigator.vendor,subString:"iCab",identity:"iCab"},{string:navigator.vendor,subString:"KDE",identity:"Konqueror"},{string:navigator.userAgent,subString:"Firefox",identity:"Firefox"},{string:navigator.vendor,subString:"Camino",identity:"Camino"},{string:navigator.userAgent,subString:"Netscape",identity:"Netscape"},
{string:navigator.userAgent,subString:"MSIE",identity:"Explorer",versionSearch:"MSIE"},{string:navigator.userAgent,subString:"Gecko",identity:"Mozilla",versionSearch:"rv"},{string:navigator.userAgent,subString:"Mozilla",identity:"Netscape",versionSearch:"Mozilla"}
],dataOS:[
{string:navigator.platform,subString:"Win",identity:"Windows"},{string:navigator.platform,subString:"Mac",identity:"Mac"},{string:navigator.platform,subString:"Linux",identity:"Linux"}
]
};
BrowserDetect.init();
function RGBColor(kobbL)
{
this.ok=false;this.a=1.0;
if(kobbL.charAt(0)=='#'){kobbL=kobbL.substr(1);}
kobbL=kobbL.replace(/ /g,'');
kobbL=kobbL.toLowerCase();
var exttv=[
{re:/^rgba\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3}),\s*(\d{1,2}\.*\d{0,2})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3]),parseFloat(""+bits[4]) ];}},{re:/^rgb\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3])];}},{re:/^(\w{2})(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16),Math.round(parseInt(bits[4],16)*100/255)/100 ];}},{re:/^(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16) ];}}
];
for(var i=0;i<exttv.length;i++){
var QkGRp=exttv[i].re;
var AunDN=exttv[i]._process;
var BPUCJ=QkGRp.exec(kobbL);
if(BPUCJ){
var xsurA=AunDN(BPUCJ);
this.r=xsurA[0];this.g=xsurA[1];this.b=xsurA[2];this.a=xsurA[3];
this.ok=true;
}
}
this.r=(this.r<0||isNaN(this.r))?0:((this.r>255)?255:this.r);
this.g=(this.g<0||isNaN(this.g))?0:((this.g>255)?255:this.g);
this.b=(this.b<0||isNaN(this.b))?0:((this.b>255)?255:this.b);
this.a=(this.a>1||isNaN(this.a))?1:((this.a<0)?0:this.a);
this.toRGB=function()
{
if(this.a==1)return 'rgb('+this.r+', '+this.g+', '+this.b+')';
return 'rgba('+this.r+', '+this.g+', '+this.b+','+this.a+')';
}
this.toRGB_opaque=function()
{
return 'rgb('+this.r+', '+this.g+', '+this.b+')';
}
this.toHsl=function(){
var r=this.r;var g=this.g;var b=this.b;r/=255,g/=255,b/=255;
var max=Math.max(r,g,b),min=Math.min(r,g,b);
var h,s,l=(max+min)/2;
if(max==min){h=s=0;
}else{
var d=max-min;s=l>0.5?d/(2-max-min):d/(max+min);
switch(max){
case r:h=(g-b)/d+(g<b?6:0);break;
case g:h=(b-r)/d+2;break;
case b:h=(r-g)/d+4;break;
}
h/=6;
}
return [h,s,l];
}
this.GjLGd=function(p,q,t)
{
if(t<0) t+=1;if(t>1) t-=1;if(t<1/6) return p+(q-p)*6*t;if(t<1/2) return q;if(t<2/3) return p+(q-p)*(2/3-t)*6;
return p;
};
this.fromHsl=function(h,s,l){
if(l>1.0)l=1.0
var r,g,b;
if(s==0){r=g=b=l;
}else{
var q=l<0.5?l*(1+s):l+s-l*s;
var p=2*l-q;
r=this.GjLGd(p,q,h+1/3);g=this.GjLGd(p,q,h);b=this.GjLGd(p,q,h-1/3);
}
r=r*255;g=g*255;b=b*255;
r=Math.round(r);g=Math.round(g);b=Math.round(b);
if(r<0)r=-r;if(g<0)g=-g;if(b<0)b=-b
this.r=r;this.g=g;this.b=b;
};
}
function CMSwM(bRUsn,HiFhK)
{
if(document.wa_global_handlers!=undefined)
{
var OiSqc=WA_focused_element()
if(OiSqc)
{
var QjWFG=document.wa_global_handlers[OiSqc+"-"+bRUsn]
if(QjWFG) return QjWFG([OiSqc],HiFhK)
}
}
return true;
}
function UwwYr(e)
{
if(window.event){return e.keyCode;}
else 
if(e.which) return  e.which;
return-1;
}
function WA_onkeypress(e)
{
var wTtqJ=UwwYr(e);
if(WA_Dialog.CdAKd)
{
if(WA_Dialog.CdAKd.onkeypress(wTtqJ))
{
return false;
}
}
return CMSwM("keypress",[wTtqJ]);
}
function WA_ondblclick(e)
{
return CMSwM("dblclic",[""]);
}
function WA_onkeydown(e)
{
var wTtqJ=UwwYr(e)
if(WA_Dialog.CdAKd)
{
if(WA_Dialog.CdAKd.onkeydown(wTtqJ))
{
return false;
}
}
if(wTtqJ==13) return true;

if(wa_global_photo_album&&wa_global_photo_album.fullpage_object)
{
var WNMdr=wa_global_photo_album.fullpage_object
return WNMdr.onFullScreenKeydown(wTtqJ) 
}
return CMSwM("keydown",[wTtqJ]);
}
function WA_genericMouseWheelHandler(e)
{
var delta=0;
if(!e) e=window.event;
if(e.wheelDelta){
delta=e.wheelDelta/120;
if(window.opera) delta=-delta;
}else if(e.detail){
delta=-e.detail/3;
}
if(navigator.userAgent.match(/opera/i)) delta=-delta;
var b_default=false;
if(delta)
{
if(document.wa_global_handlers!=undefined)
{
var OiSqc=this.id
var QjWFG=document.wa_global_handlers[OiSqc+"-mousewheel"]
if(QjWFG)
{
if(QjWFG([OiSqc],[delta]))
{
b_default=true;
}
}
}
}
if(b_default)
if(e.preventDefault)
e.preventDefault();
e.returnValue=!b_default;
}
function WA_addHandler(OiSqc,bRUsn,SSLpO)
{
if(document.wa_global_handlers==undefined) document.wa_global_handlers=new Array()
if(bRUsn=="mousewheel")
{
var KiGVx=document.getElementById(OiSqc);
if(KiGVx.addEventListener)
KiGVx.addEventListener('DOMMouseScroll',WA_genericMouseWheelHandler,false);
KiGVx.onmousewheel=WA_genericMouseWheelHandler
}
document.wa_global_handlers[OiSqc+"-"+bRUsn]=SSLpO
}
function WA_loadPhotoAlbum(OiSqc,iGCEl,wOdqv,OiSqc_modif)
{
if(typeof(wa_global_photo_album[OiSqc])=="undefined")
{
var o=new Array();
o.src_folder=iGCEl
o.size_container=wOdqv
o.id_modif=OiSqc_modif
wa_global_photo_album[OiSqc]=o;
}
}
function WA_focused_element()
{
return document.wa_global_focused_element
}
function WA_focus(WNMdr)
{
document.wa_global_focused_element=WNMdr.id
}
function WA_loadScript(url,callback,params)
{
var e=document.createElement("script");
e.src=url;
e.type="text/javascript";
e.onerror=function(){callback(params,false);}
if(/msie/i.test(navigator.userAgent)&&!/opera/i.test(navigator.userAgent)){
e.onreadystatechange=function(){
if((this.readyState=='complete')||(this.readyState=='loaded')){
callback(params,true);
}
}
}else
{
e.onload=function(){
if(/opera/i.test(navigator.userAgent))
wa_timeout(callback,0,params,true);
else
callback(params,true);
}
}
document.getElementsByTagName("head")[0].appendChild(e);
}
function WA_blog_declare(vIWDf,PYToA,FRYCc)
{
if(!document.wa_global_blogs_elements)document.wa_global_blogs_elements=new Array()
if(!document.wa_global_blogs_buttons)document.wa_global_blogs_buttons=new Array()
if(!document.wa_global_blogs_elements[PYToA])document.wa_global_blogs_elements[PYToA]=new Array()
document.wa_global_blogs_elements[PYToA].id_blog=vIWDf
document.wa_global_blogs_elements[PYToA].has_email=FRYCc
}
function WA_addSearchHandler(OiSqc)
{
return WA_addHandler(OiSqc,"keypress",aeXpE)
}
function aeXpE(OiSqc,HiFhK)
{
var wTtqJ=HiFhK[0]
if(wTtqJ==13)
{
var mOeNi=OiSqc+"-search-input";
WA_onSearch(mOeNi)
return false;
}
return true;
}
function WA_declareSearchIndex(ShMnD,KogIO)
{
document.const_wa_search_js=ShMnD
document.const_wa_search_index_js=KogIO
}
function WA_onSearch(mOeNi)
{
var HBYBF=document.getElementById(mOeNi);
if(document.wa_search_js_loaded==true)
{
WA_openSearchDialog(HBYBF,document.const_wa_search_index_js)
}
else
{
WA_Dialog.progress();
oAMao(HBYBF)
}
}
function wTLcU(HiFhK)
{
document.wa_search_js_loaded=true
WA_openSearchDialog(HiFhK[0],document.const_wa_search_index_js)
}
function oAMao(cVSfk)
{
WA_loadScript(document.const_wa_search_js,wTLcU,[cVSfk])
}
function ZqVtq(offset){
var endstr=document.cookie.indexOf(";",offset);
if(endstr==-1)
endstr=document.cookie.length;
return unescape(document.cookie.substring(offset,endstr));
}
function WA_GetCookie(name)
{
var arg=name+"=";
var alen=arg.length;
var clen=document.cookie.length;
var i=0;
while(i<clen)
{
var j=i+alen;
if(document.cookie.substring(i,j)==arg)
return ZqVtq(j);
i=document.cookie.indexOf(" ",i)+1;
if(i==0) break;
}
return "";
}
function WA_SetCookie(name,value){
var argv=WA_SetCookie.arguments;
var argc=WA_SetCookie.arguments.length;
var expires=(argc>2)?argv[2]:null;
var path=(argc>3)?argv[3]:null;
var domain=(argc>4)?argv[4]:null;
var secure=(argc>5)?argv[5]:false;
document.cookie=name+"="+escape(value)+((expires==null)?"":("; expires="+expires.toGMTString()))+((path==null)?"":("; path="+path))+((domain==null)?"":("; domain="+domain))+((secure==true)?"; secure":"");
}
function WA_bg_menu(OiSqc)
{
var jJNEo=document.wa_global_menu_declaration[OiSqc]
WA_bg(OiSqc,jJNEo.root_lx,jJNEo.root_ly,jJNEo.root_corner,jJNEo.root_border,jJNEo.root_col_border,[jJNEo.root_bg],false,0)
var NhPgh=document.getElementById(jJNEo.id)
if(!NhPgh)return;
var c=NhPgh.getContext('2d');
c.lineWidth=1
c.strokeStyle=jJNEo.root_col_separator
var etSoj=0.5;

var qgmhG=jJNEo.root_sizes.length
if(jJNEo.root_extend==false)
{
qgmhG--;
}
var exuUb=3;
for(var i=0;i<qgmhG;i++)
{
var wOdqv=jJNEo.root_sizes[i] 

c.beginPath();
if(jJNEo.root_vertical==false)
{
etSoj+=(wOdqv-1)
c.moveTo(etSoj,exuUb)
c.lineTo(etSoj,jJNEo.root_ly-exuUb)
}
else
{
etSoj+=(wOdqv)
c.moveTo(exuUb,etSoj-1,0)
c.lineTo(jJNEo.root_lx-exuUb,etSoj-1)
}
c.closePath();
c.stroke()
}
}
function WA_declare_menu(OiSqc,jJNEo)
{
if(!document.wa_global_menu_declaration)document.wa_global_menu_declaration=new Array();
jJNEo.id=OiSqc
document.wa_global_menu_declaration[OiSqc]=jJNEo
WA_bg_menu(OiSqc)
}
function WA_declareMarket(OiSqc,rtwYC_market,OiSqc_modif)
{
if(typeof(wa_global_market.markets[OiSqc])=="undefined")
{
var o=new Array();
o.src_folder=rtwYC_market
o.id_modif=OiSqc_modif 

o.id=OiSqc
wa_global_market.markets[OiSqc]=o;
}
}
function WA_button_market_declare(OiSqc,jgrbf)
{
if(!document.wa_global_button_market_declaration)document.wa_global_button_market_declaration=new Array();
document.wa_global_button_market_declaration[OiSqc]=jgrbf
}
function oIuec(c,img,enfaW,KMmeu,qwuoi,WPjrs,pLDwg,XAUlt,BTLoC)
{
c.globalAlpha=XAUlt
if(BTLoC) c.clearRect(0,0,qwuoi,WPjrs) 
if(XAUlt==0)return;
if(pLDwg)
{
c.drawImage(img,pLDwg.x,pLDwg.y,pLDwg.width,pLDwg.height,enfaW,KMmeu,qwuoi,WPjrs)
}
else
{
c.drawImage(img,enfaW,KMmeu,qwuoi,WPjrs)
}
}
function WA_drawImage(id,NjtKC,enfaW,KMmeu,qwuoi,WPjrs,pLDwg,XAUlt,BTLoC)
{
if(BTLoC==undefined)BTLoC=true;
if(XAUlt==undefined)XAUlt=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
c.shadowOffsetX=0;c.shadowOffsetY=0;c.shadowBlur=0;
if(c.old_src==NjtKC)
{
oIuec(c,c.GqQsH,enfaW,KMmeu,qwuoi,WPjrs,pLDwg,XAUlt,BTLoC)
return;
}
var img=new Image();
img.RsBbb=el.RsBbb
img.onload=function()
{
c.old_src=NjtKC
c.GqQsH=this;
oIuec(c,this,enfaW,KMmeu,qwuoi,WPjrs,pLDwg,XAUlt,BTLoC)
}
img.src=NjtKC;
}

-->
